Debian Bug report logs - #527255
Please provide a dh sequence addon

version graph

Package: quilt; Maintainer for quilt is Martin Quinson <mquinson@debian.org>; Source for quilt is src:quilt.

Reported by: Fabian Greffrath <greffrath@leat.rub.de>

Date: Wed, 6 May 2009 12:27:02 UTC

Severity: wishlist

Fixed in version quilt/0.46-7

Done: Raphael Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#527255; Package debhelper. (Wed, 06 May 2009 12:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. (Wed, 06 May 2009 12:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debhelper still needs manual modification in debian/rules to involve patch management systems like dpatch or quilt
Date: Wed, 06 May 2009 14:26:17 +0200
Package: debhelper
Version: 7.2.9
Severity: wishlist

Hi,

what I really don't like in debhelper (and this is the reason why I 
still prefer cdbs for most of my packages) is, that debhelper does 
still need manual modification in order to involve patch management 
systems like dpatch or quilt.

For example, if I want to stay with the tiny debian/rules file and add 
"include /usr/share/quilt/quilt.make", i still have to manually tell 
debian/rules to patch the sources before building them and unpatch 
them before cleaning them (in case you have to run the clean rule on 
the patched source and unpatch afterwards, it gets even worse). So a 
typical tiny debian/rules file with patched sources will look like 
this (and this isn't even the most error-proof version):

	#!/usr/bin/make -f
	include /usr/share/quilt/quilt.make
	%:
		dh $@
	build: $(QUILT_STAMPFN)
	clean: unpatch

Why not get rid of the last two lines?

I mean, /usr/bin/dh checks if there are rules called override_dh_* in 
debian/rules and act accordingly. In the same way it could check if 
there is a rule called patch in debian/rules (which is the case when 
quilt.make is included) and then make the build rule depend on it. The 
same could be done for the clean rule depending on the unpatch rule 
(although I think it is considered safer to first run the clean rule 
and unpatch afterwards).

So on my wishlist a minimal debian/rules would like like this:

	#!/usr/bin/make -f
	include /usr/share/quilt/quilt.make
	%:
		dh $@

with patching and unpatching managed automatically by debhelper based 
on the autodetection of including quilt.make.

Cheers,
Fabian


-- 
Dipl.-Phys. Fabian Greffrath

Ruhr-Universität Bochum
Lehrstuhl für Energieanlagen und Energieprozesstechnik (LEAT)
Universitätsstr. 150, IB 3/134
D-44780 Bochum

Telefon: +49 (0)234 / 32-26334
Fax:     +49 (0)234 / 32-14227
E-Mail:  greffrath@leat.ruhr-uni-bochum.de




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#527255; Package debhelper. (Wed, 06 May 2009 16:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Wed, 06 May 2009 16:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 527255@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Fabian Greffrath <greffrath@leat.rub.de>, 527255@bugs.debian.org
Subject: Re: Bug#527255: debhelper still needs manual modification in debian/rules to involve patch management systems like dpatch or quilt
Date: Wed, 6 May 2009 12:41:01 -0400
[Message part 1 (text/plain, inline)]
Fabian Greffrath wrote:
> what I really don't like in debhelper (and this is the reason why I  
> still prefer cdbs for most of my packages) is, that debhelper does still 
> need manual modification in order to involve patch management systems 
> like dpatch or quilt.

dh sequence addons offer all the infrastructure needed to make enabling
a patch management system as simple as adding "--with quilt" to the dh
command line.

However, noone has bothered to write such an addon for any patch system
yet, AFAIK. I've suggested to various people that they do so, but nobody
has bitten yet, and as I don't use patch systems, I'm not the one to do it.
(Though I'm happy to offer technical support to anyone working on it.)
Also, the sequence addons don't really belong in debhelper, but instead
in the patch system packages. (So this bug should probably be
reassigned.)

How to do it:

* Write some simple debhelper commands like dh_quilt_patch and
  dh_quilt_unpatch. These would be simple thin wrappers around
  quilt commands.
* Add a /usr/share/perl5/Debian/Debhelper/Sequence/quilt.pm that
  inserts those commands into the dh command sequence in appropriate
  places. Something like this, but where they are inserted may need
  to be tweaked:

#!/usr/bin/perl
use warnings;
use strict;
use Debian::Debhelper::Dh_Lib;

insert_before("dh_auto_configure", "dh_quilt_patch");
insert_after("dh_clean", "dh_quilt_unpatch");

1

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#527255; Package debhelper. (Thu, 07 May 2009 08:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Thu, 07 May 2009 08:42:02 GMT) Full text and rfc822 format available.

Message #15 received at 527255@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
To: Joey Hess <joeyh@debian.org>
Cc: 527255@bugs.debian.org, control <control@bugs.debian.org>
Subject: Re: Bug#527255: debhelper still needs manual modification in debian/rules to involve patch management systems like dpatch or quilt
Date: Thu, 07 May 2009 10:38:11 +0200
reassign 527255 quilt
retitle 527255 Please provide a dh sequence addon
thanks

Joey Hess schrieb:
> Fabian Greffrath wrote:
>> what I really don't like in debhelper (and this is the reason why I  
>> still prefer cdbs for most of my packages) is, that debhelper does still 
>> need manual modification in order to involve patch management systems 
>> like dpatch or quilt.
> 
> dh sequence addons offer all the infrastructure needed to make enabling
> a patch management system as simple as adding "--with quilt" to the dh
> command line.

This would be perfect!

> However, noone has bothered to write such an addon for any patch system
> yet, AFAIK. I've suggested to various people that they do so, but nobody
> has bitten yet, and as I don't use patch systems, I'm not the one to do it.
> (Though I'm happy to offer technical support to anyone working on it.)
> Also, the sequence addons don't really belong in debhelper, but instead
> in the patch system packages. (So this bug should probably be
> reassigned.)

Alright, so I have reassigned it to the quilt package in hope that 
someone picks it up and does the dirty work...

> How to do it:
> 
> * Write some simple debhelper commands like dh_quilt_patch and
>   dh_quilt_unpatch. These would be simple thin wrappers around
>   quilt commands.
> * Add a /usr/share/perl5/Debian/Debhelper/Sequence/quilt.pm that
>   inserts those commands into the dh command sequence in appropriate
>   places. Something like this, but where they are inserted may need
>   to be tweaked:
> 
> #!/usr/bin/perl
> use warnings;
> use strict;
> use Debian::Debhelper::Dh_Lib;
> 
> insert_before("dh_auto_configure", "dh_quilt_patch");
> insert_after("dh_clean", "dh_quilt_unpatch");
> 
> 1
> 


-- 
Dipl.-Phys. Fabian Greffrath

Ruhr-Universität Bochum
Lehrstuhl für Energieanlagen und Energieprozesstechnik (LEAT)
Universitätsstr. 150, IB 3/134
D-44780 Bochum

Telefon: +49 (0)234 / 32-26334
Fax:     +49 (0)234 / 32-14227
E-Mail:  greffrath@leat.ruhr-uni-bochum.de




Bug reassigned from package `debhelper' to `quilt'. Request was from Fabian Greffrath <greffrath@leat.rub.de> to control@bugs.debian.org. (Thu, 07 May 2009 08:42:03 GMT) Full text and rfc822 format available.

Changed Bug title to `Please provide a dh sequence addon' from `debhelper still needs manual modification in debian/rules to involve patch management systems like dpatch or quilt'. Request was from Fabian Greffrath <greffrath@leat.rub.de> to control@bugs.debian.org. (Thu, 07 May 2009 08:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Quinson <mquinson@debian.org>:
Bug#527255; Package quilt. (Thu, 07 May 2009 20:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Quinson <mquinson@debian.org>. (Thu, 07 May 2009 20:36:08 GMT) Full text and rfc822 format available.

Message #24 received at 527255@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Fabian Greffrath <greffrath@leat.rub.de>
Cc: Joey Hess <joeyh@debian.org>, 527255@bugs.debian.org
Subject: Re: Bug#527255: debhelper still needs manual modification in debian/rules to involve patch management systems like dpatch or quilt
Date: Thu, 7 May 2009 22:32:51 +0200
[Message part 1 (text/plain, inline)]
On Thu, 07 May 2009, Fabian Greffrath wrote:
> reassign 527255 quilt
> retitle 527255 Please provide a dh sequence addon
> thanks

Please put the maintainer on copy when reassigning so that we know
immediately what it's about.

>> However, noone has bothered to write such an addon for any patch system
>> yet, AFAIK. I've suggested to various people that they do so, but nobody
>> has bitten yet, and as I don't use patch systems, I'm not the one to do it.
>> (Though I'm happy to offer technical support to anyone working on it.)
>> Also, the sequence addons don't really belong in debhelper, but instead
>> in the patch system packages. (So this bug should probably be
>> reassigned.)
>
> Alright, so I have reassigned it to the quilt package in hope that  
> someone picks it up and does the dirty work...

I very much like the idea ! Attached is a first patch for it. It still
needs manual pages for the new commands but otherwise seems to work in my
quick tests.

I would welcome some more review. I chose to call dh_quilt_unpatch before
dh_clean because dh_clean should be the last command in charge on cleanup
of any cruft left.

Note that with the makefile based approach, the unpatch target is a
dependency of the clean target so it's even called before dh_auto_clean.
I wonder if this difference is a problem or on the contrary an improvement...

Cheers,
-- 
Raphaël Hertzog

Contribuez à Debian et gagnez un cahier de l'admin Debian Lenny :
http://www.ouaza.com/wp/2009/03/02/contribuer-a-debian-gagner-un-livre/
[0001-Add-a-dh-sequence-addon-to-allow-dh-with-quilt.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Quinson <mquinson@debian.org>:
Bug#527255; Package quilt. (Thu, 07 May 2009 21:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Quinson <mquinson@debian.org>. (Thu, 07 May 2009 21:00:08 GMT) Full text and rfc822 format available.

Message #29 received at 527255@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Fabian Greffrath <greffrath@leat.rub.de>, 527255@bugs.debian.org
Subject: Re: Bug#527255: debhelper still needs manual modification in debian/rules to involve patch management systems like dpatch or quilt
Date: Thu, 7 May 2009 16:55:18 -0400
[Message part 1 (text/plain, inline)]
Raphael Hertzog wrote:
> I very much like the idea ! Attached is a first patch for it. It still
> needs manual pages for the new commands but otherwise seems to work in my
> quick tests.

Well, if I'd known you'd react that fast, I'd have brought this direct 
to your attention earlier!
 
> I would welcome some more review. I chose to call dh_quilt_unpatch before
> dh_clean because dh_clean should be the last command in charge on cleanup
> of any cruft left.

You're right, particularly WRT the debhelper log, dh_clean needs to come
last. 

> Note that with the makefile based approach, the unpatch target is a
> dependency of the clean target so it's even called before dh_auto_clean.
> I wonder if this difference is a problem or on the contrary an improvement...

I guess the question is whether you want to run 'make clean' in a
patched, or an unpatched source tree. I have no real opinion about that,
but I'll bet that some quilt users might..
 
> +++ b/debian/dh_quilt_patch
> @@ -0,0 +1,6 @@
> +#!/bin/sh
> +
> +set -e
> +
> +export QUILT_PATCHES=debian/patches
> +quilt push -a || test $? = 2

I recommend that debhelper commands be perl programs that use
Debian::Debhelper::Dh_Lib, so that:

* Common debhelper argument processing works.
* Things like verbose mode and no-act mode work.

You might want to read debhelper's PROGRAMMING file.

Rough draft of the above in perl:

#!/usr/bin/perl
use warnings;
use strict;
use Debian::Debhelper::Dh_Lib;

init();

$ENV{QUILT_PATCHES}="debian/patches";
complex_doit("quilt push -a || test $? = 2");

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Quinson <mquinson@debian.org>:
Bug#527255; Package quilt. (Thu, 07 May 2009 21:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Martin Quinson <mquinson@debian.org>. (Thu, 07 May 2009 21:12:05 GMT) Full text and rfc822 format available.

Message #34 received at 527255@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Raphael Hertzog <hertzog@debian.org>, 527255@bugs.debian.org
Cc: Fabian Greffrath <greffrath@leat.rub.de>, Joey Hess <joeyh@debian.org>
Subject: Re: Bug#527255: debhelper still needs manual modification in debian/rules to involve patch management systems like dpatch or quilt
Date: Thu, 7 May 2009 23:10:58 +0200
 Re: your patch: you might want to pass something like "--quiltrc
 /dev/null" too, just for safety.

On Thu, May 07, 2009, Raphael Hertzog wrote:
> I would welcome some more review. I chose to call dh_quilt_unpatch before
> dh_clean because dh_clean should be the last command in charge on cleanup
> of any cruft left.

 Thanks Raphael for pulling my attention on this bug; I don't mind
 calling unpatch just before dh_clean, but what's really important in my
 eyes is calling unpatch after make clean or make distclean (done by
 dh_auto_clean).  This is required when for instance your need to patch
 the autotools files from your upstream and they don't use
 AM_MAINTAINER_MODE (you can't even patch it in: if you unpatch before
 clean it will trigger an autoreconf).  I wouldn't mind unpatching after
 dh_clean either.

 (That's unrelated but I'm not a fan of dh_clean itself because I find
 it mixes cleanup of upstream cruft (e.g. .deps/*) and of debian/ files;
 also the default lists could accidentally match real upstream files, so
 I'd rather not have them.)

-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Quinson <mquinson@debian.org>:
Bug#527255; Package quilt. (Fri, 08 May 2009 08:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
Extra info received and forwarded to list. Copy sent to Martin Quinson <mquinson@debian.org>. (Fri, 08 May 2009 08:39:03 GMT) Full text and rfc822 format available.

Message #39 received at 527255@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Joey Hess <joeyh@debian.org>, 527255@bugs.debian.org
Subject: Re: Bug#527255: debhelper still needs manual modification in debian/rules to involve patch management systems like dpatch or quilt
Date: Fri, 08 May 2009 10:33:52 +0200
Raphael Hertzog schrieb:
> Please put the maintainer on copy when reassigning so that we know
> immediately what it's about.

Excuse me, I believed this was done automatically by the BTS at 
reassignment of a bug.

Joey Hess schrieb:
> I guess the question is whether you want to run 'make clean' in a
> patched, or an unpatched source tree. I have no real opinion about that,
> but I'll bet that some quilt users might..

As Loïc pointed out, please run make clean in the patched source tree 
in case your patches touch the build system. And please run dh_clean 
as the last command, i.e. after make clean and unpatch, see #509180.

Fabian

-- 
Dipl.-Phys. Fabian Greffrath

Ruhr-Universität Bochum
Lehrstuhl für Energieanlagen und Energieprozesstechnik (LEAT)
Universitätsstr. 150, IB 3/134
D-44780 Bochum

Telefon: +49 (0)234 / 32-26334
Fax:     +49 (0)234 / 32-14227
E-Mail:  greffrath@leat.ruhr-uni-bochum.de




Information stored :
Bug#527255; Package quilt. (Fri, 08 May 2009 09:03:08 GMT) Full text and rfc822 format available.

Message #42 received at 527255-quiet@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 527255-quiet@bugs.debian.org
Cc: Fabian Greffrath <greffrath@leat.rub.de>, Joey Hess <joeyh@debian.org>
Subject: Re: Bug#527255: debhelper still needs manual modification in debian/rules to involve patch management systems like dpatch or quilt
Date: Fri, 8 May 2009 12:02:26 +0300
[Message part 1 (text/plain, inline)]
-=| Raphael Hertzog, Thu, May 07, 2009 at 10:32:51PM +0200 |=-
> On Thu, 07 May 2009, Fabian Greffrath wrote:
> > Alright, so I have reassigned it to the quilt package in hope that  
> > someone picks it up and does the dirty work...
> 
> I very much like the idea ! Attached is a first patch for it. It still
> needs manual pages for the new commands but otherwise seems to work in my
> quick tests.

Great. On behalf of the Debian Perl Group (a heavy debhelper 7 and 
quilt user), Thanks!

> I would welcome some more review. I chose to call dh_quilt_unpatch before
> dh_clean because dh_clean should be the last command in charge on cleanup
> of any cruft left.
> 
> Note that with the makefile based approach, the unpatch target is a
> dependency of the clean target so it's even called before dh_auto_clean.
> I wonder if this difference is a problem or on the contrary an improvement...

If I can make a wish, please plug dh_quilt_unpatch after 
dh_auto_clean. After dh_clean is also fine. What is important is that 
unpatching is done after upstream sources are cleaned (via "make 
clean" and such). This way the upstream build sustem (Makefiles etc) 
can be patched without triggering reconfiguration during "make clean".

One example if auto-reconfiguring makefiles are autotools, another is 
ExtUtils::MakeMaker-generated Makefile's. If you patch Makefile.PL so 
that it creates more suitable Makefile, if Makefile.PL is unpatched 
before "make distclean" then Makefile detects that it is older than 
Makefile.PL and instead of distclean-ing, it re-runs Makefile.PL and 
asks to be run again (and clean target fails). This forces us to take 
special measures if we patch Makefile.PL (touch Makefile after 
unpatch) if we want to support "builds twice in a row" idea.


Thanks again!


-- 
dam
[signature.asc (application/pgp-signature, inline)]

Reply sent to Raphael Hertzog <hertzog@debian.org>:
You have taken responsibility. (Fri, 08 May 2009 10:54:07 GMT) Full text and rfc822 format available.

Notification sent to Fabian Greffrath <greffrath@leat.rub.de>:
Bug acknowledged by developer. (Fri, 08 May 2009 10:54:07 GMT) Full text and rfc822 format available.

Message #47 received at 527255-close@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 527255-close@bugs.debian.org
Subject: Bug#527255: fixed in quilt 0.46-7
Date: Fri, 08 May 2009 10:47:11 +0000
Source: quilt
Source-Version: 0.46-7

We believe that the bug you reported is fixed in the latest version of
quilt, which is due to be installed in the Debian FTP archive:

quilt_0.46-7.diff.gz
  to pool/main/q/quilt/quilt_0.46-7.diff.gz
quilt_0.46-7.dsc
  to pool/main/q/quilt/quilt_0.46-7.dsc
quilt_0.46-7_all.deb
  to pool/main/q/quilt/quilt_0.46-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 527255@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphael Hertzog <hertzog@debian.org> (supplier of updated quilt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 08 May 2009 12:23:52 +0200
Source: quilt
Binary: quilt
Architecture: source all
Version: 0.46-7
Distribution: unstable
Urgency: low
Maintainer: Martin Quinson <mquinson@debian.org>
Changed-By: Raphael Hertzog <hertzog@debian.org>
Description: 
 quilt      - Tool to work with series of patches
Closes: 527255
Changes: 
 quilt (0.46-7) unstable; urgency=low
 .
   * Add new dh_quilt_patch and dh_quilt_unpatch commands to be used within
     debhelper. Also add a debhelper addon so that the dh command can do patch
     management with a simple "dh --with quilt $@" in the tiny rules file
     provided by debhelper 7. Closes: #527255
   * Build-Depends on perl for pod2man and man page generation of the new
     dh_* commands.
   * Add Enhances: debhelper in debian/control for the new dh_* commands.
   * Update Standards-Version to 3.8.1: no change needed.
   * Fix misc lintian warnings.
   * Update the copyright file with the few copyright notices that are
     embedded.
   * Add a watch file.
Checksums-Sha1: 
 3c2c6ab68ddf3a535c4e4e56a2ffdabe9d5378fc 1270 quilt_0.46-7.dsc
 33d5cd4aa07ae1aaa8c44f43367c492eed021968 40219 quilt_0.46-7.diff.gz
 893c65210315aa36a2df61b4f9311ffa851970e1 348994 quilt_0.46-7_all.deb
Checksums-Sha256: 
 909a094d76f889c5343b8dadbcc401f9e81415d105829b872da5226d0e7a0572 1270 quilt_0.46-7.dsc
 854850b38a0c78a531b40493ce597e69f5f09834c9e6459ebd5c9b3ae5f3af80 40219 quilt_0.46-7.diff.gz
 e76d27db4ba57acf4071416eef6f39950f49cd1c3a37e8cce1ceb366419d18f6 348994 quilt_0.46-7_all.deb
Files: 
 5888cf16b6cd4ba8d425aad8b3dd38cc 1270 devel optional quilt_0.46-7.dsc
 481cc2012acf518b1ab56c1fa4b3678a 40219 devel optional quilt_0.46-7.diff.gz
 ce901b76130683d8c036cec106eb5c70 348994 devel optional quilt_0.46-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iEYEARECAAYFAkoECr8ACgkQvPbGD26BadIR1gCeMIikOSrywsEFa6wOiZ478GDs
rcAAoJa8Uwl/5jDcEUf4UnPJ6N3AnFxn
=YF8v
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Jun 2009 07:31:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:18:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.